Bug 456991 - C++ client consumes 100% CPU when idle
C++ client consumes 100% CPU when idle
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
i386 Linux
urgent Severity urgent
: 1.0.1
: ---
Assigned To: Ted Ross
Kim van der Riet
:
Depends On:
Blocks: 459269
  Show dependency treegraph
 
Reported: 2008-07-28 23:50 EDT by Ted Ross
Modified: 2011-08-12 12:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 15:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-07-28 23:50:42 EDT
The C++ client consumes 100% of the CPU (one core on multi-core systems) even
when idle, waiting for messages on a subscription.

To reproduce, simply run the "listener" program in the C++ "direct" example (you
will need to run "declare-queues" first).  While the program waits for incoming
messages, measure the CPU usage of the "lt-listener" process.

Note that this problem only appears to occur on 32-bit architectures.
Comment 1 Gordon Sim 2008-07-29 08:30:36 EDT
I believe this is a result of the fact that Condition::wait(FAR_FUTURE) returns
immediately with ETIMEDOUT.
Comment 2 Gordon Sim 2008-07-29 09:50:31 EDT
Fixed on qpid.0-10 by r680695 and on trunk by r680691.
Comment 4 Frantisek Reznicek 2008-09-09 12:45:25 EDT
There is now RHTS automated test MRG_Messaging/qpid_cpp_client_load_bz456991 which shows that bug has been fixed. (ON_QA->VERIFIED)
Comment 6 errata-xmlrpc 2008-10-06 15:08:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html

Note You need to log in before you can comment on or make changes to this bug.